var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconFirstCharacterReplyTakesTimeComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-first_character_reply_takes_time").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 18 18", fill: useCurrentColor ? 'currentColor' : '#000', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M12.875 7.5C15.3603 7.5 17.375 9.51472 17.375 12C17.375 14.4853 15.3603 16.5 12.875 16.5C10.3897 16.5 8.375 14.4853 8.375 12C8.375 9.51472 10.3897 7.5 12.875 7.5ZM12.875 9C11.2181 9 9.875 10.3431 9.875 12C9.875 13.6569 11.2181 15 12.875 15C14.5319 15 15.875 13.6569 15.875 12C15.875 10.3431 14.5319 9 12.875 9ZM13.25 9.75C13.4571 9.75 13.625 9.91789 13.625 10.125V11.25H14.75C14.9571 11.25 15.125 11.4179 15.125 11.625V12.375C15.125 12.5821 14.9571 12.75 14.75 12.75H12.5C12.2929 12.75 12.125 12.5821 12.125 12.375V10.125C12.125 9.91789 12.2929 9.75 12.5 9.75H13.25ZM7.375 13.5C7.58211 13.5 7.75 13.6679 7.75 13.875V14.625C7.75 14.8321 7.58211 15 7.375 15H2.625C2.41789 15 2.25 14.8321 2.25 14.625V13.875C2.25 13.6679 2.41789 13.5 2.625 13.5H7.375ZM7.375 8.25C7.58211 8.25 7.75 8.41789 7.75 8.625V9.375C7.75 9.58211 7.58211 9.75 7.375 9.75H2.625C2.41789 9.75 2.25 9.58211 2.25 9.375V8.625C2.25 8.41789 2.41789 8.25 2.625 8.25H7.375ZM14.625 3C14.8321 3 15 3.16789 15 3.375V4.125C15 4.33211 14.8321 4.5 14.625 4.5H2.625C2.41789 4.5 2.25 4.33211 2.25 4.125V3.375C2.25 3.16789 2.41789 3 2.625 3H14.625Z" }));
}
var IconFirstCharacterReplyTakesTime = React.forwardRef(IconFirstCharacterReplyTakesTimeComponent);
export default IconFirstCharacterReplyTakesTime;
